Skip to content

Query Tasks by ID List

POST https://www.kkiai.com/mj/task/list-by-condition

Request Parameters

Authorization

Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.

Example: Authorization: Bearer ********************

Header Parameters

Parameter NameTypeRequiredDescriptionExample
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

Body Parameters (application/json)

Parameter NameTypeRequiredDescription
idsarray[string]Required

Request Example

json
{
    "ids": [
        "1743326750223591"
    ]
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/mj/task/list-by-condition' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "ids": [
        "1743326750223591"
    ]
}'

Response

🟢 200 Success

Response Example

json
{
    "id": "1730621826053455",
    "action": "IMAGINE",
    "customId": "",
    "botType": "",
    "prompt": "pig --v 6.1",
    "promptEn": "pig --v 6.1",
    "description": "Submit success",
    "state": "",
    "submitTime": 1730621826053,
    "startTime": 1730621828024,
    "finishTime": 1730621855817,
    "imageUrl": "https://cdnmjp.oneabc.org/attachments/1300842274347028520/1302547211321741343/kennedyhernandez46715_74108_pig_3785da15-4f70-4034-9128-f3ff1ac634fa.png?ex=6728831f&is=6727319f&hm=f6d701914d608e4da9298d2290b3616317264a70635fbf08a37ca6c1bb671b50&",
    "status": "SUCCESS",
    "progress": "100%",
    "failReason": "",
    "buttons": [
        {
            "customId": "MJ::JOB::upsample::1::3785da15-4f70-4034-9128-f3ff1ac634fa",
            "emoji": "",
            "label": "U1",
            "type": 2,
            "style": 2
        },
        {
            "customId": "MJ::JOB::upsample::2::3785da15-4f70-4034-9128-f3ff1ac634fa",
            "emoji": "",
            "label": "U2",
            "type": 2,
            "style": 2
        },
        {
            "customId": "MJ::JOB::upsample::3::3785da15-4f70-4034-9128-f3ff1ac634fa",
            "emoji": "",
            "label": "U3",
            "type": 2,
            "style": 2
        },
        {
            "customId": "MJ::JOB::upsample::4::3785da15-4f70-4034-9128-f3ff1ac634fa",
            "emoji": "",
            "label": "U4",
            "type": 2,
            "style": 2
        },
        {
            "customId": "MJ::JOB::reroll::0::3785da15-4f70-4034-9128-f3ff1ac634fa::SOLO",
            "emoji": "🔄",
            "label": "",
            "type": 2,
            "style": 2
        },
        {
            "customId": "MJ::JOB::variation::1::3785da15-4f70-4034-9128-f3ff1ac634fa",
            "emoji": "",
            "label": "V1",
            "type": 2,
            "style": 2
        },
        {
            "customId": "MJ::JOB::variation::2::3785da15-4f70-4034-9128-f3ff1ac634fa",
            "emoji": "",
            "label": "V2",
            "type": 2,
            "style": 2
        },
        {
            "customId": "MJ::JOB::variation::3::3785da15-4f70-4034-9128-f3ff1ac634fa",
            "emoji": "",
            "label": "V3",
            "type": 2,
            "style": 2
        },
        {
            "customId": "MJ::JOB::variation::4::3785da15-4f70-4034-9128-f3ff1ac634fa",
            "emoji": "",
            "label": "V4",
            "type": 2,
            "style": 2
        }
    ],
    "maskBase64": "",
    "properties": {
        "finalPrompt": "pig --v 6.1",
        "finalZhPrompt": ""
    }
}